unit Umain;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, Tmoving;

type
  TForm1 = class(TForm)
    txtMessage: TEdit;
    cmdStart: TBitBtn;
    MovingMessage1: TMovingMessage;
    chkContinues: TCheckBox;
    cboDir: TComboBox;
    txtDelay: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Bevel1: TBevel;
    Label3: TLabel;
    procedure cmdStartClick(Sender: TObject);
    procedure cboDirChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure chkContinuesClick(Sender: TObject);
    procedure txtDelayChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.cmdStartClick(Sender: TObject);
begin
  MovingMessage1.MoveWhenChanged := True;
  MovingMessage1.MoveMessage := txtMessage.Text;
end;

procedure TForm1.cboDirChange(Sender: TObject);
begin
   MovingMessage1.MoveDirection := MoveDirectionT((Sender As TComboBox).ItemIndex);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
   cboDir.ItemIndex := Integer(MovingMessage1.MoveDirection);
   chkContinues.Checked := MovingMessage1.MoveContinues;
   txtDelay.Text := IntToStr(MovingMessage1.MoveDelay);

end;

procedure TForm1.chkContinuesClick(Sender: TObject);
begin
  MovingMessage1.MoveContinues := (Sender As TCheckBox).Checked;
end;

procedure TForm1.txtDelayChange(Sender: TObject);
begin
    If (txtDelay.Text = '') Then Exit;

    Try
      MovingMessage1.MoveDelay := StrToInt(txtDelay.Text) ;
    Except
      ShowMessage('Not Allowed.');
    End;

end;

end.
